util.program

## Class LocalPluginProgramFormating

- java.lang.Object
- - util.program.AbstractPluginProgramFormating
  - - util.program.LocalPluginProgramFormating

-     public class LocalPluginProgramFormating
      extends AbstractPluginProgramFormating

  Settings for program formating. This is the class for using for creating configuration used only by the plugin which creates the instance of this class.
  Since:
    2.5.1
  Author:
    René Mach

- - ### Field Summary

    - ### Fields inherited from class util.program.AbstractPluginProgramFormating

      `mContentValue, mEncodingValue, mId, mName, mTitleValue`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalPluginProgramFormating()` Creates an empty instance of this class, for example for loading the values from an ObjectInputStream.
    `LocalPluginProgramFormating(java.lang.String name, java.lang.String titleValue, java.lang.String contentValue, java.lang.String encodingValue)` Creates an instance of a program configuration.
    `LocalPluginProgramFormating(java.lang.String id, java.lang.String name, java.lang.String titleValue, java.lang.String contentValue, java.lang.String encodingValue)` Creates an instance of a program configuration.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `int` | `hashCode()`
    `boolean` | `isValid()` Gets if the configuration is valid.
    `protected void` | `loadData(java.io.ObjectInputStream in)` Creates an instance of a ProgramConfiguration from an ObjetcInputStream-
    `protected void` | `storeData(java.io.ObjectOutputStream out)` Saves this configuration in an ObjectOutputStream

    - ### Methods inherited from class util.program.AbstractPluginProgramFormating

      `getContentValue, getEncodingValue, getId, getName, getTitleValue, readData, setContentValue, setEncodingValue, setId, setName, setTitleValue, toString, writeData`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalPluginProgramFormating

          public LocalPluginProgramFormating()

      Creates an empty instance of this class, for example for loading the values from an ObjectInputStream.

    - #### LocalPluginProgramFormating

          public LocalPluginProgramFormating(java.lang.String id,
                                     java.lang.String name,
                                     java.lang.String titleValue,
                                     java.lang.String contentValue,
                                     java.lang.String encodingValue)

      Creates an instance of a program configuration.
      Parameters:
        `id` - The id of this formating.
        `name` - The name of the configuration.
        `titleValue` - The value for the title configuration.
        `contentValue` - The value for the content.
        `encodingValue` - The encoding value.

    - #### LocalPluginProgramFormating

          public LocalPluginProgramFormating(java.lang.String name,
                                     java.lang.String titleValue,
                                     java.lang.String contentValue,
                                     java.lang.String encodingValue)

      Creates an instance of a program configuration.
      Parameters:
        `name` - The name of the configuration.
        `titleValue` - The value for the title configuration.
        `contentValue` - The value for the content.
        `encodingValue` - The encoding value.

  - ### Method Detail

    - #### loadData

          protected void loadData(java.io.ObjectInputStream in)
                           throws java.io.IOException,
                                  java.lang.ClassNotFoundException

      Creates an instance of a ProgramConfiguration from an ObjetcInputStream-
      Specified by:
        `loadData` in class `AbstractPluginProgramFormating`
      Parameters:
        `in` - The stream to read the values from
      Throws:
        `java.io.IOException` - Thrown if something goes wrong
        `java.lang.ClassNotFoundException` - Thrown if something goes wrong

    - #### storeData

          protected void storeData(java.io.ObjectOutputStream out)
                            throws java.io.IOException

      Saves this configuration in an ObjectOutputStream
      Specified by:
        `storeData` in class `AbstractPluginProgramFormating`
      Parameters:
        `out` - The stream to save the values in
      Throws:
        `java.io.IOException` - Thrown if something goes wrong

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### isValid

          public boolean isValid()

      Description copied from class: `AbstractPluginProgramFormating`
      Gets if the configuration is valid.
      Specified by:
        `isValid` in class `AbstractPluginProgramFormating`
      Returns:
        If the configuration is valid

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)